Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb.impl
Class PoemTypeImpl

    java.lang.Object
      org.infoml.jaxb.impl.PoemTypeImpl

All Implemented Interfaces:
  PoemType

Direct Known Subclasses:
  RichPointerTypeImpl.PoemImpl, RichTextTypeImpl.PoemImpl

    public class PoemTypeImpl

extends java.lang.Object
implements PoemType

Nested Class Summary
`class` | `PoemTypeImpl.Unmarshaller`

Field Summary
`protected com.sun.xml.bind.util.ListImpl` | `_Author`
`protected com.sun.xml.bind.util.ListImpl` | `_Stanza`
`protected MultipleLinesType` | `_Title`
`static java.lang.Class` | `version`

Constructor Summary
`PoemTypeImpl()`

Method Summary
`protected com.sun.xml.bind.util.ListImpl` | `_getAuthor()`
`protected com.sun.xml.bind.util.ListImpl` | `_getStanza()`
`com.sun.msv.verifier.DocumentDeclaration` | `createRawValidator()`
`org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler` | `createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)`
`java.util.List` | `getAuthor()` Gets the value of the Author property.
`java.lang.Class` | `getPrimaryInterface()`
`java.util.List` | `getStanza()` Gets the value of the Stanza property.
`MultipleLinesType` | `getTitle()` Gets the value of the title property.
`void` | `serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `setTitle(MultipleLinesType value)` Sets the value of the title property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _Stanza

    protected com.sun.xml.bind.util.ListImpl _Stanza

### _Author

    protected com.sun.xml.bind.util.ListImpl _Author

### _Title

    protected MultipleLinesType _Title

### version

    public static final java.lang.Class version

Constructor Detail

### PoemTypeImpl

    public PoemTypeImpl()

Method Detail

### _getStanza

    protected com.sun.xml.bind.util.ListImpl _getStanza()

### getStanza

    public java.util.List getStanza()

  Description copied from interface: `PoemType`
  Gets the value of the Stanza property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Stanza property.

  For example, to add a new item, do as follows:

          getStanza().add(newItem);

  Objects of the following type(s) are allowed in the list `MultipleLinesType`

  Specified by:
    `getStanza` in interface `PoemType`

### _getAuthor

    protected com.sun.xml.bind.util.ListImpl _getAuthor()

### getAuthor

    public java.util.List getAuthor()

  Description copied from interface: `PoemType`
  Gets the value of the Author property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Author property.

  For example, to add a new item, do as follows:

          getAuthor().add(newItem);

  Objects of the following type(s) are allowed in the list `AgentType`

  Specified by:
    `getAuthor` in interface `PoemType`

### getTitle

    public MultipleLinesType getTitle()

  Description copied from interface: `PoemType`
  Gets the value of the title property.

  Specified by:
    `getTitle` in interface `PoemType`
  Returns:
    possible object is `MultipleLinesType`

### setTitle

    public void setTitle(MultipleLinesType value)

  Description copied from interface: `PoemType`
  Sets the value of the title property.

  Specified by:
    `setTitle` in interface `PoemType`
  Parameters:
    `value` - allowed object is `MultipleLinesType`

### createUnmarshaller

    public org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)

### serializeBody

    public void serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeAttributes

    public void serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                             throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeURIs

    public void serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getPrimaryInterface

    public java.lang.Class getPrimaryInterface()

### createRawValidator

    public com.sun.msv.verifier.DocumentDeclaration createRawValidator()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD